@import url("https://fonts.googleapis.com/css2?family=Saira:ital,wght@0,100..900;1,100..900&display=swap&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

body {
  background: #1a202c;
  background-image: url(./images/pattern-tile.png);
  font-family: 'Montserrat', sans-serif;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
}

h1,
h2,
h3 {
  font-family: 'Saira', sans-serif;
  font-style: italic;
  font-weight: 800;
  color: #eeddee;
}

h1 {
    font-size: 3.4rem;
    margin: 0;
}

h2, h3 {
    margin: 0 5 0 0;
}

a {
    color: #f97efb;
    font-weight: bold;
    text-decoration: underline;
  }
  
a:hover {
  text-decoration: none;
  color: #f97efb;
  font-weight: normal;
  }
  
a:visited {
  color: #eeddee;
  text-decoration: none;
    }
  
img {
  display: block;
  margin: 7px;
  float:inline-start;
  border: 2px #f97efb dotted;
  border-radius: 10px;
  max-width: 100%;
  height: auto;
  }

.grid-container {
    display: grid;
    gap: 30px;
    width: 800px;
    margin: 10px;
    padding: 30px;
    grid-template-columns: 20% auto;
    grid-template-rows: auto auto auto;
    grid-template-areas:
    "header header"
    "nav main"
    ". footer";
  }

header, footer, nav {
  background-color: #272427;
  padding: 10px;
  border: solid 2px rgba(237, 6, 182, 0.4);
  border-radius: 10px;
  box-shadow: rgba(237, 6, 182, 0.4) 5px 5px, rgba(245, 47, 211, 0.3) 10px 10px, rgba(249, 126, 251, 0.2) 15px 15px;    

}

header {
  grid-area: header;
  text-align: center;
  }

footer {
  grid-area: footer;
  font-style: italic;
  font-variant-caps: small-caps;
  font-size: smaller;
}

.main {
  background-color: #272427;
  padding: 10px;
  width: 100%;
  grid-area: main;
  }
  
nav {
  display: flex;
  flex-direction: column;
  max-height: 250px;
  grid-area: nav;
  }

  .box {
    background-color: #272427;
    padding: 10px;
    margin: 10px;
    max-width: 40%;
    border: solid 2px rgba(237, 6, 182, 0.4);
    border-radius: 10px;
    box-shadow: rgba(237, 6, 182, 0.4) 5px 5px, rgba(245, 47, 211, 0.3) 10px 10px, rgba(249, 126, 251, 0.2) 15px 15px;    
  }

.link-button {
  background-color: #ed06b6;
  color: black;
  font-family: 'Saira', sans-serif;
  font-style: italic;
  font-weight: bold;
  text-decoration: none;
  padding: 5px;
  margin: 3px;
  border: .5px black;
  border-radius: 3px;
  }

.tag-button {
  background-color: #272427;
  color:#f97efb;
  border: 1px solid #f97efb; 
  border-radius: 7px;
  padding: 5px;
  margin: 3px;
  font-style: italic;
}

.list {
  line-height: 2.4;
}

  @media screen and (max-width: 800px) {

  .grid-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 95%;
  }
  
  nav {
    flex-direction: row;
    justify-content: space-around;
    flex-wrap: wrap;
  }

  
  }